Bug 212687 - textproc/scim: fix build with Clang 3.9
Summary: textproc/scim: fix build with Clang 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks: 212343
  Show dependency treegraph
 
Reported: 2016-09-14 13:55 UTC by Ed Maste
Modified: 2016-12-27 10:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lx)


Attachments
fix scim build with clang 3.9 (660 bytes, patch)
2016-09-14 13:55 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2016-09-14 13:55:17 UTC
Created attachment 174781 [details]
fix scim build with clang 3.9

I'm not sure exactly how libtool's ltdl.c ended up in scim as ltdl.cpp. The attached patch adds a scim patch to fix the build with Clang 3.9. I see that libtool's ltdl.c currently uses 'const char *ext' so it has the fix already.
Comment 1 Ed Maste freebsd_committer 2016-10-06 16:56:29 UTC
ping
Comment 2 commit-hook freebsd_committer 2016-10-19 22:08:30 UTC
A commit references this bug:

Author: antoine
Date: Wed Oct 19 22:08:18 UTC 2016
New revision: 424293
URL: https://svnweb.freebsd.org/changeset/ports/424293

Log:
  Fix build with clang 3.9

  PR:		212687
  Submitted by:	emaste
  Approved by:	maintainer timeout (1 month)

Changes:
  head/textproc/scim/files/patch-src_ltdl.cpp
Comment 3 commit-hook freebsd_committer 2016-12-27 10:07:38 UTC
A commit references this bug:

Author: antoine
Date: Tue Dec 27 10:07:08 UTC 2016
New revision: 429592
URL: https://svnweb.freebsd.org/changeset/ports/429592

Log:
  MFH: r424293

  Fix build with clang 3.9

  PR:		212687
  Submitted by:	emaste

Changes:
_U  branches/2016Q4/
  branches/2016Q4/textproc/scim/files/patch-src_ltdl.cpp